cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/youtube-channel-stats-date \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/youtube-channel-stats-date"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/youtube-channel-stats-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"stats": [
{
"date": "25-07-2025",
"dateISO": "2025-07-25T00:00:00.000Z",
"subscriberCount": 416000000,
"subscriberCountDelta": 0,
"viewCount": 91305786557,
"viewCountDelta": 101813740,
"videoCount": 887,
"videoCountDelta": 1,
"estimatedLowRevenueUsd": 65384,
"estimatedHighRevenueUsd": 182298,
"estimatedRevenueUsd": 123841,
"dayOfWeek": "FRIDAY",
"isToday": false
}
]
}
Channel
Stats by Date
Get Channel Stats by Date
GET
/
wf
/
youtube-channel-stats-date
cURL
{
"status": {
"code": 200,
"message": "OK"
},
"stats": [
{
"date": "25-07-2025",
"dateISO": "2025-07-25T00:00:00.000Z",
"subscriberCount": 416000000,
"subscriberCountDelta": 0,
"viewCount": 91305786557,
"viewCountDelta": 101813740,
"videoCount": 887,
"videoCountDelta": 1,
"estimatedLowRevenueUsd": 65384,
"estimatedHighRevenueUsd": 182298,
"estimatedRevenueUsd": 123841,
"dayOfWeek": "FRIDAY",
"isToday": false
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
masterID: the id of the Social Account, to get this you need to call the endpoint Get Profile by URL OR Get Channel Details
If you would like to get the channel profile and details set this to true
A date within the last 365 days, Date format: yyyy-mm-dd
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I